summaryrefslogtreecommitdiffstats
path: root/academic/hdfview
diff options
context:
space:
mode:
author Lockywolf <for_sbo.gephi_2023-07-18@lockywolf.net>2023-11-19 20:58:06 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-11-19 21:08:04 +0700
commitf361399ec98bb11b5b8ec5ad3e677d68a433c597 (patch)
tree9f0fa03132e32d4fc42d76a728c29d04cc280353 /academic/hdfview
parent1aade28621af92c7669787be153b9d63611cb945 (diff)
downloadslackbuilds-f361399ec98bb11b5b8ec5ad3e677d68a433c597.tar.gz
slackbuilds-f361399ec98bb11b5b8ec5ad3e677d68a433c597.tar.xz
academic/hdfview: Added (visualization and exploration software).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/hdfview')
-rw-r--r--academic/hdfview/README15
-rw-r--r--academic/hdfview/hdfview.SlackBuild112
-rw-r--r--academic/hdfview/hdfview.info10
-rw-r--r--academic/hdfview/slack-desc19
4 files changed, 156 insertions, 0 deletions
diff --git a/academic/hdfview/README b/academic/hdfview/README
new file mode 100644
index 0000000000..70371cc79a
--- /dev/null
+++ b/academic/hdfview/README
@@ -0,0 +1,15 @@
+HDFView Software
+
+HDFView software consists of the HDFView utility and the Java HDF
+Object Package.
+
+HDFView is a visual tool written in Java for browsing and editing HDF
+(HDF5 and HDF4) files. Using HDFView, you can:
+
+View a file hierarchy in a tree structure
+Create new files, add or delete groups and datasets
+View and modify the content of a dataset
+Add, delete and modify attributes
+
+HDFView uses the Java HDF Object Package, which implements HDF4 and
+HDF5 data objects in an object-oriented form.
diff --git a/academic/hdfview/hdfview.SlackBuild b/academic/hdfview/hdfview.SlackBuild
new file mode 100644
index 0000000000..bb19668283
--- /dev/null
+++ b/academic/hdfview/hdfview.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for hdfview
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=hdfview
+VERSION=${VERSION:-3.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+#https://support.hdfgroup.org/ftp/HDF5/releases/HDF-JAVA/hdfview-3.1.3/bin/HDFView-3.1.3-fedora33_64.tar.gz"
+
+tar xvf $CWD/HDFView-$VERSION-centos8_64.tar.gz
+rpm2cpio $PRGNAM-$VERSION-1.x86_64.rpm | cpio --extract --make-directories
+
+chown -R root:root .
+# find -L . \
+# \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+# -o -perm 511 \) -exec chmod 755 {} + -o \
+# \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+# -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+find -L . \
+ -type d -exec chmod 755 {} +
+find -L . \
+ -type f -exec chmod 755 {} +
+
+
+install -d -m 755 $PKG/usr/bin
+
+cp -r ./opt $PKG/
+
+echo "#!/bin/bash
+exec /opt/$PRGNAM/bin/HDFView \"$@\"" > $PKG/usr/bin/$PRGNAM
+chmod +x $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat README.txt > $PKG/usr/doc/$PRGNAM-$VERSION/README.txt
+cat COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/hdfview/hdfview.info b/academic/hdfview/hdfview.info
new file mode 100644
index 0000000000..ff596fab36
--- /dev/null
+++ b/academic/hdfview/hdfview.info
@@ -0,0 +1,10 @@
+PRGNAM="hdfview"
+VERSION="3.3.1"
+HOMEPAGE="https://gephi.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://support.hdfgroup.org/ftp/HDF5/releases/HDF-JAVA/hdfview-3.3.1/bin/HDFView-3.3.1-centos8_64.tar.gz"
+MD5SUM_x86_64="f54feb3dcd15be989d762320a57753f8"
+REQUIRES=""
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.gephi_2023-07-18@lockywolf.net"
diff --git a/academic/hdfview/slack-desc b/academic/hdfview/slack-desc
new file mode 100644
index 0000000000..28e9b7e7d0
--- /dev/null
+++ b/academic/hdfview/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hdfview: hdfview (visual tool written in Java for browsing and editing HDF)
+hdfview:
+hdfview: HDFView is a visual tool written in Java for browsing and editing HDF
+hdfview: (HDF5 and HDF4) files. Using HDFView, you can:
+hdfview: View a file hierarchy in a tree structure
+hdfview: Create new files, add or delete groups and datasets
+hdfview: View and modify the content of a dataset
+hdfview: Add, delete and modify attributes
+hdfview: HDFView uses the Java HDF Object Package, which implements HDF4
+hdfview: and HDF5 data objects in an object-oriented form.
+hdfview: